Package org.h2.mvstore.tx

# Class VersionedValueType.Factory<D>

java.lang.Object
org.h2.mvstore.tx.VersionedValueType.Factory<D>

All Implemented Interfaces:
  `StatefulDataType.Factory<D>`

Enclosing class:
  VersionedValueType<T,D>

public static final class VersionedValueType.Factory<D> extends Object implements StatefulDataType.Factory<D>

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`DataType<?>`
`create(ByteBuffer buff, MetaType<D> metaType, D database)`
Reads the data type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public DataType<?> create(ByteBuffer buff, MetaType<D> metaType, D database)
Description copied from interface: `StatefulDataType.Factory`
Reads the data type.

Specified by:
  `create` in interface `StatefulDataType.Factory<D>`
Parameters:
  `buff` - the buffer the source buffer
  `metaType` - the type
  `database` - the database
Returns:
  the data type